Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.bio.entity.factory
Class BioEntityFactory

    java.lang.Object
      org.metaqtl.bio.entity.factory.BioEntityFactory

Direct Known Subclasses:
  MapChartFactory, MapMakerFactory, MapRawFactory, MapTabFactory, OntologyTabFactory, XmlBioEntityFactory

    public abstract class BioEntityFactory

extends java.lang.Object

Class Description Here

Author:
  Jean-Baptiste Veyrieras

Constructor Summary
`BioEntityFactory()`

Method Summary
`abstract IBioEntity` | `load(java.io.InputStream stream)`
`abstract IBioEntity` | `load(java.io.Reader reader)`
`abstract void` | `unload(IBioEntity entity, java.io.OutputStream stream)`
`abstract void` | `unload(IBioEntity entity, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BioEntityFactory

    public BioEntityFactory()

Method Detail

### load

    public abstract IBioEntity load(java.io.Reader reader)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### load

    public abstract IBioEntity load(java.io.InputStream stream)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### unload

    public abstract void unload(IBioEntity entity,
                                java.io.Writer writer)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### unload

    public abstract void unload(IBioEntity entity,
                                java.io.OutputStream stream)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD